import RxSwift
import PlaygroundSupport
import Foundation
PlaygroundPage.current.needsIndefiniteExecution = true

let disposeBag = DisposeBag()

// Filter Example – CEO Names

Observable.of("Elon", "Steve", "Jeff", "Mark", "Jack").filter { $0.starts(with: "J") }
    .subscribe(onNext: {
        print($0)
    })
    .addDisposableTo(disposeBag)
